
// command structure for CORBA communication

struct Robot_Command {
  long   command;
  long   lparam;
  double param[20];
};


// interface for sending commands and getting information

interface Robot {

  long put_command( in any any_command);
  long get_info( inout any any_command);	

};
